aboutsummaryrefslogtreecommitdiffstats
path: root/extra/pcre/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2009-01-19 09:08:20 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2009-01-19 09:08:20 +0000
commit163373f33542410b6929c1367e0eb1ab1fa956bd (patch)
tree2ff7e1dcfada3948330a85dfd7009dd0bac9ecac /extra/pcre/APKBUILD
parentc5d0d2a314b46b171bf76ce594176ff71ef7cbbb (diff)
downloadaports-163373f33542410b6929c1367e0eb1ab1fa956bd.tar.gz
aports-163373f33542410b6929c1367e0eb1ab1fa956bd.tar.bz2
aports-163373f33542410b6929c1367e0eb1ab1fa956bd.tar.xz
extra/pcre: new aport
Diffstat (limited to 'extra/pcre/APKBUILD')
-rw-r--r--extra/pcre/APKBUILD25
1 files changed, 25 insertions, 0 deletions
diff --git a/extra/pcre/APKBUILD b/extra/pcre/APKBUILD
new file mode 100644
index 0000000000..c0352bc01a
--- /dev/null
+++ b/extra/pcre/APKBUILD
@@ -0,0 +1,25 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=pcre
+pkgver=7.8
+pkgrel=0
+pkgdesc="Perl-compatible regular expression library"
+url="http://pcre.sourceforge.net"
+license="BSD"
+depends="uclibc"
+makedepends=""
+source="ftp://ftp.csx.cam.ac.uk/pub/software/programming/$pkgname/$pkgname-$pkgver.tar.bz2"
+subpackages="$pkgname-dev $pkgname-doc"
+
+build() {
+ cd "$srcdir/$pkgname-$pkgver"
+ ./configure --prefix=/usr \
+ --disable-cpp \
+ --with-match-limit-recursion=8192 \
+ --htmldir=/usr/share/doc/$pkgname-$pkgver/html \
+ --docdir=/usr/share/doc/$pkgname-$pkgver
+
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+}
+
+md5sums="141132d6af14dccc7b08fa797e4fd441 pcre-7.8.tar.bz2"